Skip to main content
GET
/
brand
/
retrieve-by-isin
JavaScript
import ContextDev from 'context.dev';

const client = new ContextDev({
  apiKey: process.env['CONTEXT_DEV_API_KEY'], // This is the default and can be omitted
});

const response = await client.brand.retrieveByIsin({ isin: 'SE60513A9993' });

console.log(response.brand);
{
  "status": "<string>",
  "brand": {
    "domain": "<string>",
    "title": "<string>",
    "description": "<string>",
    "slogan": "<string>",
    "colors": [
      {
        "hex": "<string>",
        "name": "<string>"
      }
    ],
    "logos": [
      {
        "url": "<string>",
        "mode": "light",
        "colors": [
          {
            "hex": "<string>",
            "name": "<string>"
          }
        ],
        "resolution": {
          "width": 123,
          "height": 123,
          "aspect_ratio": 123
        },
        "type": "icon"
      }
    ],
    "backdrops": [
      {
        "url": "<string>",
        "colors": [
          {
            "hex": "<string>",
            "name": "<string>"
          }
        ],
        "resolution": {
          "width": 123,
          "height": 123,
          "aspect_ratio": 123
        }
      }
    ],
    "socials": [
      {
        "type": "x",
        "url": "<string>"
      }
    ],
    "address": {
      "street": "<string>",
      "city": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "state_province": "<string>",
      "state_code": "<string>",
      "postal_code": "<string>"
    },
    "stock": {
      "ticker": "<string>",
      "exchange": "<string>"
    },
    "is_nsfw": true,
    "email": "<string>",
    "phone": "<string>",
    "industries": {
      "eic": [
        {
          "industry": "Aerospace & Defense",
          "subindustry": "Defense Systems & Military Hardware"
        }
      ]
    },
    "links": {
      "careers": "<string>",
      "privacy": "<string>",
      "terms": "<string>",
      "contact": "<string>",
      "blog": "<string>",
      "pricing": "<string>"
    },
    "primary_language": "afrikaans"
  },
  "code": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.context.dev/llms.txt

Use this file to discover all available pages before exploring further.

10 Credits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

isin
string
required

ISIN (International Securities Identification Number) to retrieve brand data for (e.g., 'AU000000IMD5', 'US0378331005'). Must be exactly 12 characters: 2 letters followed by 9 alphanumeric characters and ending with a digit.

Required string length: 12
Pattern: ^[A-Z]{2}[A-Z0-9]{9}[0-9]$
force_language
enum<string>

Optional parameter to force the language of the retrieved brand data.

Available options:
afrikaans,
albanian,
amharic,
arabic,
armenian,
assamese,
aymara,
azeri,
basque,
belarusian,
bengali,
bosnian,
bulgarian,
burmese,
cantonese,
catalan,
cebuano,
chinese,
corsican,
croatian,
czech,
danish,
dutch,
english,
esperanto,
estonian,
farsi,
fijian,
finnish,
french,
galician,
georgian,
german,
greek,
guarani,
gujarati,
haitian-creole,
hausa,
hawaiian,
hebrew,
hindi,
hmong,
hungarian,
icelandic,
igbo,
indonesian,
irish,
italian,
japanese,
javanese,
kannada,
kazakh,
khmer,
kinyarwanda,
korean,
kurdish,
kyrgyz,
lao,
latin,
latvian,
lingala,
lithuanian,
luxembourgish,
macedonian,
malagasy,
malay,
malayalam,
maltese,
maori,
marathi,
mongolian,
nepali,
norwegian,
odia,
oromo,
pashto,
pidgin,
polish,
portuguese,
punjabi,
quechua,
romanian,
russian,
samoan,
scottish-gaelic,
serbian,
sesotho,
shona,
sindhi,
sinhala,
slovak,
slovene,
somali,
spanish,
sundanese,
swahili,
swedish,
tagalog,
tajik,
tamil,
tatar,
telugu,
thai,
tibetan,
tigrinya,
tongan,
tswana,
turkish,
turkmen,
ukrainian,
urdu,
uyghur,
uzbek,
vietnamese,
welsh,
wolof,
xhosa,
yiddish,
yoruba,
zulu
maxSpeed
boolean

Optional parameter to optimize the API call for maximum speed. When set to true, the API will skip time-consuming operations for faster response at the cost of less comprehensive data.

maxAgeMs
integer
default:7776000000

Maximum age in milliseconds for cached brand data before the API performs a hard refresh. Defaults to 3 months (7776000000 ms). Values below 1 day (86400000 ms) are clamped to 1 day; values above 1 year (31536000000 ms) are clamped to 1 year.

Required range: 86400000 <= x <= 31536000000
timeoutMS
integer

Optional timeout in milliseconds for the request. If the request takes longer than this value, it will be aborted with a 408 status code. Maximum allowed value is 300000ms (5 minutes).

Required range: 1000 <= x <= 300000

Response

Successful response

status
string

Status of the response, e.g., 'ok'

brand
object

Detailed brand information

code
integer

HTTP status code